org.appng.xml.platform

## Class SessionInfo

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.SessionInfo

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Session

      public class SessionInfo
      extends BaseObject
      implements Serializable

  Keeps track of information about the users session with appNG.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected Long` | `starttime`
    `protected Integer` | `timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The globally unique id of the session.
    `Long` | `getStarttime()` The unix time at session start.
    `Integer` | `getTimeout()` The timeout of the session in seconds.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setStarttime(Long value)` Sets the value of the starttime property.
    `void` | `setTimeout(Integer value)` Sets the value of the timeout property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### timeout

          protected Integer timeout

    - #### starttime

          protected Long starttime

  - ### Constructor Detail

    - #### SessionInfo

          public SessionInfo()

  - ### Method Detail

    - #### getId

          public String getId()

      The globally unique id of the session.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimeout

          public Integer getTimeout()

      The timeout of the session in seconds.
      Returns:
        possible object is `Integer`

    - #### setTimeout

          public void setTimeout(Integer value)

      Sets the value of the timeout property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getStarttime

          public Long getStarttime()

      The unix time at session start.
      Returns:
        possible object is `Long`

    - #### setStarttime

          public void setStarttime(Long value)

      Sets the value of the starttime property.
      Parameters:
        `value` - allowed object is `Long`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.